CVE-2017-7653

Priority
Description
The Eclipse Mosquitto broker up to version 1.4.15 does not reject strings
that are not valid UTF-8. A malicious client could cause other clients that
do reject invalid UTF-8 strings to disconnect themselves from the broker by
sending a topic string which is not valid UTF-8, and so cause a denial of
service for the clients.
Notes
Package
Upstream:released (1.5.4-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):released (1.4.8-1ubuntu0.16.04.7)
Ubuntu 18.04 LTS (Bionic Beaver):released (1.4.15-2ubuntu0.18.04.3)
Ubuntu 19.10 (Eoan Ermine):not-affected (1.5.4-1)
Ubuntu 20.04 (Focal Fossa):not-affected (1.5.4-1)
More Information

Updated: 2020-04-24 03:44:09 UTC (commit d3f8a6ed481830fb100109a132bef581fc4176fe)